/**
 ****************************************************************************
 * @file	system_int.c
 * @brief	System Interrupt Functions for TOSHIBA 'TMPM4K' Device Series for A-VE+
 * @version	V1.0.2
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *****************************************************************************
 */
#include "ipdefine.h"
#include "D_Para.h"

#include "interrupt.h"
#include "B_User.h"
#include "dac_drv.h"
#include "usercon.h"
#include "system_int.h"

#if defined(__MOTOR_DBGOUT_VECTOR_TIME_INT)
#define	DBO_VE0_HIGH		(TSB_PA_DATA_PA0 = 1)
#define	DBO_VE0_LOW			(TSB_PA_DATA_PA0 = 0)
#define	DBO_VE1_HIGH		(TSB_PA_DATA_PA1 = 1)
#define	DBO_VE1_LOW			(TSB_PA_DATA_PA1 = 0)

#else  /* defined(__MOTOR_DBGOUT_VECTOR_TIME_INT) */
#define	DBO_VE0_HIGH		/*  */
#define	DBO_VE0_LOW			/*  */
#define	DBO_VE1_HIGH		/*  */
#define	DBO_VE1_LOW			/*  */
#endif /* defined(__MOTOR_DBGOUT_VECTOR_TIME_INT) */

void NMI_Handler(void)
{}

void HardFault_Handler(void)
{}

void MemManage_Handler(void)
{}

void BusFault_Handler(void)
{}

void UsageFault_Handler(void)
{}

void SVC_Handler(void)
{}

void DebugMon_Handler(void)
{}

void PendSV_Handler(void)
{}

void SysTick_Handler(void)
{}

void INT00_IRQHandler(void)
{}

void INT01_IRQHandler(void)
{}

void INT02_IRQHandler(void)
{}

void INT03_IRQHandler(void)
{}

void INT04_IRQHandler(void)
{}

void INT05_IRQHandler(void)
{}

void INT06_IRQHandler(void)
{}

void INT07_IRQHandler(void)
{}

void INT08_IRQHandler(void)
{}

void INT09_IRQHandler(void)
{}

void INT10_IRQHandler(void)
{}

void INTVCN0_IRQHandler(void)
{
#if (defined(__CONTROL_MOTOR_CH0))
	DBO_VE0_HIGH;
	INT_VectorControlByVE_CH0(&Motor_ch0, TSB_VE0);
	DBO_VE0_LOW;
	__DSB();				/* for ARM processor errata 838469 */
#endif /* defined(__CONTROL_MOTOR_CH0) */
}

void INTVCT0_IRQHandler(void)
{}

void INTEMG0_IRQHandler(void)
{}

void INTEMG1_IRQHandler(void)
{}

void INTOVV0_IRQHandler(void)
{}

void INTOVV1_IRQHandler(void)
{}

void INTPWM0_IRQHandler(void)
{}

void INTPWM1_IRQHandler(void)
{}

void INTENC00_IRQHandler(void)
{}

void INTENC01_IRQHandler(void)
{}

void INTADPDA_IRQHandler(void)
{}

void INTADPDB_IRQHandler(void)
{}

void INTADPDC_IRQHandler(void)
{}

void INTADPDD_IRQHandler(void)
{}

void INTADPFLG_IRQHandler(void)
{}

void INTADCPA_IRQHandler(void)
{}

void INTADCPB_IRQHandler(void)
{}

void INTADTRG_IRQHandler(void)
{}

void INTADSGL_IRQHandler(void)
{}

void INTADCNT_IRQHandler(void)
{}

void INTSC0RX_IRQHandler(void)
{}

void INTSC0TX_IRQHandler(void)
{
	INT_uart0tx();
	__DSB();				/* for ARM processor errata 838469 */
}

void INTSC0ERR_IRQHandler(void)
{}

void INTSC1RX_IRQHandler(void)
{}

void INTSC1TX_IRQHandler(void)
{}

void INTSC1ERR_IRQHandler(void)
{}

void INTSC2RX_IRQHandler(void)
{}

void INTSC2TX_IRQHandler(void)
{}

void INTSC2ERR_IRQHandler(void)
{}

void INTSC3RX_IRQHandler(void)
{}

void INTSC3TX_IRQHandler(void)
{
#if defined(__USE_DAC)
	DacWriteContinue(DAC_SIO_CH);
	__DSB();				/* for ARM processor errata 838469 */
#endif /* __USE_DAC */
}

void INTSC3ERR_IRQHandler(void)
{}

void INTI2C0_IRQHandler(void)
{}

void INTI2C0AL_IRQHandler(void)
{}

void INTI2C0BF_IRQHandler(void)
{}

void INTI2C0NA_IRQHandler(void)
{}

void INTT32A0AC_IRQHandler(void)
{
	INT_interval_4kHz();
	__DSB();				/* for ARM processor errata 838469 */
}

void INTT32A0ACCAP0_IRQHandler(void)
{}

void INTT32A0ACCAP1_IRQHandler(void)
{}

void INTT32A0B_IRQHandler(void)
{}

void INTT32A0BCAP0_IRQHandler(void)
{}

void INTT32A0BCAP1_IRQHandler(void)
{}

void INTT32A1AC_IRQHandler(void)
{}

void INTT32A1ACCAP0_IRQHandler(void)
{}

void INTT32A1ACCAP1_IRQHandler(void)
{}

void INTT32A1B_IRQHandler(void)
{}

void INTT32A1BCAP0_IRQHandler(void)
{}

void INTT32A1BCAP1_IRQHandler(void)
{}

void INTT32A2AC_IRQHandler(void)
{}

void INTT32A2ACCAP0_IRQHandler(void)
{}

void INTT32A2ACCAP1_IRQHandler(void)
{}

void INTT32A2B_IRQHandler(void)
{}

void INTT32A2BCAP0_IRQHandler(void)
{}

void INTT32A2BCAP1_IRQHandler(void)
{}

void INTT32A3AC_IRQHandler(void)
{}

void INTT32A3ACCAP0_IRQHandler(void)
{}

void INTT32A3ACCAP1_IRQHandler(void)
{}

void INTT32A3B_IRQHandler(void)
{}

void INTT32A3BCAP0_IRQHandler(void)
{}

void INTT32A3BCAP1_IRQHandler(void)
{}

void INTT32A4AC_IRQHandler(void)
{}

void INTT32A4ACCAP0_IRQHandler(void)
{}

void INTT32A4ACCAP1_IRQHandler(void)
{}

void INTT32A4B_IRQHandler(void)
{}

void INTT32A4BCAP0_IRQHandler(void)
{}

void INTT32A4BCAP1_IRQHandler(void)
{}

void INTT32A5AC_IRQHandler(void)
{}

void INTT32A5ACCAP0_IRQHandler(void)
{}

void INTT32A5ACCAP1_IRQHandler(void)
{}

void INTT32A5B_IRQHandler(void)
{}

void INTT32A5BCAP0_IRQHandler(void)
{}

void INTT32A5BCAP1_IRQHandler(void)
{}

void INTPARI_IRQHandler(void)
{}

void INTDMACTC_IRQHandler(void)
{}

void INTDMACERR_IRQHandler(void)
{}

void INTRTC_IRQHandler(void)
{}

void INTFLCRDY_IRQHandler(void)
{}

void INTFLDRDY_IRQHandler(void)
{}


/*********************************** END OF FILE ******************************/
