/**
 ****************************************************************************
 * @file	usercon.h
 * @brief	User control
 * @version	V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *****************************************************************************
 */
#ifndef _USERCON_H
#define _USERCON_H

#include "ipdrv_adc.h"

#undef EXTERN
#ifdef DEFINE_APP
#define EXTERN
#else
#define EXTERN  extern
#endif

/*****************************************************************
	Define for Software & Hardware seting
******************************************************************/

/*===================================================================*
	Define Typedef
*===================================================================*/
typedef struct
{
	uint8_t	p_sw1	: 1;
	uint8_t	p_sw2	: 1;
	uint8_t	reserve	: 6;
} psw_t;


typedef struct
{
	uint8_t	s_sw1	: 1;
	uint8_t	s_sw2	: 1;
	uint8_t	s_sw3	: 1;
	uint8_t	reserve	: 5;
} ssw_t;


typedef struct
{
	ADC_Result		rawdat;
	uint8_t			avecnt;
	uint16_t		maxdat;
	uint16_t		mindat;
	uint32_t		sumdat;
	uint16_t		avedat;
} addat_t;


/*===================================================================*
      Proto Type Definition
 *===================================================================*/
EXTERN	void	init_user_control(void);
EXTERN	void	user_control(void);
EXTERN	void	init_TP(void);
EXTERN	void	init_NBD(void);

EXTERN	void	UiOutDataStartByVE(uint8_t	_intch);

EXTERN	void	INT_uart0tx(void);

/*===================================================================*
	Variable Definition
 *===================================================================*/

EXTERN	ssw_t		keydata;						/* Key data */
EXTERN	psw_t		push_keydata;					/* Push Key data */
EXTERN	int16_t		temp;							/* temperature */
EXTERN	uint8_t		send_state;						/* Send complete check */

#undef EXTERN
#endif

/******************************** END OF FILE *********************************/
